# eric5.Plugins.VcsPlugins.vcsPySvn.SvnTagDialog

Module implementing a dialog to enter the data for a tagging operation.

### Global Attributes

None

### Classes

SvnTagDialog | Class implementing a dialog to enter the data for a tagging operation.

### Functions

None

## SvnTagDialog

Class implementing a dialog to enter the data for a tagging operation.

### Derived from

QDialog, Ui_SvnTagDialog

### Class Attributes

None

### Class Methods

None

### Methods

SvnTagDialog | Constructor
getParameters | Public method to retrieve the tag data.
on_tagCombo_editTextChanged | Private method used to enable/disable the OK-button.

### Static Methods

None

#### SvnTagDialog (Constructor)

SvnTagDialog(taglist, reposURL, standardLayout, parent=None)

Constructor

taglist
  list of previously entered tags (list of strings)
reposURL
  repository path (string) or None
standardLayout
  flag indicating the layout of the repository (boolean)
parent
  parent widget (QWidget)

#### SvnTagDialog.getParameters

getParameters()

Public method to retrieve the tag data.

Returns:
  tuple of string and int (tag, tag operation)

#### SvnTagDialog.on_tagCombo_editTextChanged

on_tagCombo_editTextChanged(text)

Private method used to enable/disable the OK-button.

text
  tag name entered in the combo (string)

Up